/*
This file is part of PVE Spice Client.

PVE Spice Client is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PVE Spice Client is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PVE Spice Client.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PVE_SPICE_CLIENT_APPLICATION_H
#define PVE_SPICE_CLIENT_APPLICATION_H

#include <QCoreApplication>
#include <QCommandLineParser>
#include <QPointer>

#include "command.h"

namespace PVE {

class Application : public QObject
{
public:
    Application( QPointer<QCoreApplication> qapp );

    virtual ~Application() = default;
    virtual int run();
    virtual QPointer<Command> processArgs();
    virtual void reportUnhandledException( const std::exception& exception ) = 0;
    virtual void reportError( const QString& reason ) = 0;

protected:
    QPointer<QCoreApplication> _qapp;
    QCommandLineParser _parser;
};

} // namespace PVE

#endif // PVE_SPICE_CLIENT_APPLICATION_H
