/*
This file is part of PVE Spice Client.

PVE Spice Client is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PVE Spice Client is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PVE Spice Client.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PVE_SPICE_CLIENT_COMMAND_H
#define PVE_SPICE_CLIENT_COMMAND_H

#include <QObject>

namespace PVE {

class Command : public QObject
{
    Q_OBJECT
public:
    Command( QObject* parent = Q_NULLPTR )
        : QObject( parent )
    {
    }

    virtual ~Command() = default;
    virtual void run() = 0;

signals:
    void succeeded();
    void failed( QString reason );
};

} // namespace PVE

#endif // PVE_SPICE_CLIENT_COMMAND_H
