/*
This file is part of PVE Spice Client.

PVE Spice Client is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PVE Spice Client is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PVE Spice Client.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PVE_SPICE_CLIENT_CONSOLE_APPLICATION_H
#define PVE_SPICE_CLIENT_CONSOLE_APPLICATION_H

#include "application.h"
#include "proxmox-server.h"

namespace PVE {

class ConsoleApplication : public Application
{
    Q_OBJECT
public:
    ConsoleApplication( int& argc, char* argv[] );

    int run() Q_DECL_OVERRIDE;
    QPointer<Command> processArgs() Q_DECL_OVERRIDE;
    void reportUnhandledException( const std::exception& exception ) Q_DECL_OVERRIDE;
    void reportError( const QString& reason ) Q_DECL_OVERRIDE;

private slots:
    void onCommandSucceeded();
    void onCommandFailed( const QString& reason );

private:
    QPointer<Command> _command;
    void bind( Command* command );
};

} // namespace PVE

#endif // PVE_SPICE_CLIENT_CONSOLE_APPLICATION_H
