/*
This file is part of PVE Spice Client.

PVE Spice Client is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PVE Spice Client is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PVE Spice Client.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PVE_SPICE_CLIENT_MAIN_VIEW_CONTROLLER_H
#define PVE_SPICE_CLIENT_MAIN_VIEW_CONTROLLER_H

#include "main-view.h"
#include "accounts-view-controller.h"
#include "vm-launchers-view-controller.h"
#include "tray-icon-view-controller.h"

namespace PVE {

class MainViewController : public QObject
{
    Q_OBJECT
public:
    MainViewController();

    void setView( const QSharedPointer<MainView>& view );

private slots:
    void onAccountSwitched( const QSharedPointer<Account>& account );
    void onErrorOccurred( const QString& reason );

private:
    AccountsViewController _accountsViewController;
    VMLaunchersViewController _launchersViewController;
    TrayIconViewController _trayIconViewController;

    QSharedPointer<MainView> _view;
};

} // namespace PVE

#endif // PVE_SPICE_CLIENT_MAIN_VIEW_CONTROLLER_H
