/*
This file is part of PVE Spice Client.

PVE Spice Client is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PVE Spice Client is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PVE Spice Client.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PVE_SPICE_CLIENT_USER_H
#define PVE_SPICE_CLIENT_USER_H

#include <QString>

namespace PVE {

class User
{
public:
    User( const QString& username,
          const QString& ticket, 
          const QString& token );

    inline QString username() const;
    inline QString ticket() const;
    inline QString token() const;

private:
    QString _username;
    QString _ticket;
    QString _token;
};

inline QString User::username() const
{
    return _username;
}

inline QString User::ticket() const
{
    return _ticket;
}

inline QString User::token() const
{
    return _token;
}

} // namespace PVE

#endif // PVE_SPICE_CLIENT_USER_H
