/*
This file is part of PVE Spice Client.

PVE Spice Client is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PVE Spice Client is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PVE Spice Client.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PVE_SPICE_CLIENT_VM_LAUNCHER_CONNECTOR_H
#define PVE_SPICE_CLIENT_VM_LAUNCHER_CONNECTOR_H

#include "vm-launcher.h"
#include "account.h"

namespace PVE {

class VMLauncherConnector : public QObject
{
    Q_OBJECT
public:
    VMLauncherConnector( const QSharedPointer<Account>& account,
                         QObject* parent = Q_NULLPTR );

    void connect( const QSharedPointer<VMLauncher>& launcher );

signals:
    void connected();
    void errorOccurred( const QString& reason );

private slots:
    void onConnected();
    void onConnectionFailed( const QString& reason );

private:
    QSharedPointer<Account> _account;
};

} // namespace

#endif // PVE_SPICE_CLIENT_VM_LAUNCHER_CONNECTOR_H
