/*
This file is part of PVE Spice Client.

PVE Spice Client is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PVE Spice Client is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PVE Spice Client.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "application-factory.h"

#include "console-application.h"
#include "gui-application.h"

namespace PVE {
namespace ApplicationFactory {

std::unique_ptr<Application> makeApplication( int& argc, char* argv[] )
{
    for( int i = 1; i < argc; ++i )
    {
        if( !qstrcmp( argv[i], "--no-gui" )
            || !qstrcmp( argv[i], "-n" ) )
        {
            return std::make_unique<ConsoleApplication>( argc, argv );
        }
    }

    return std::make_unique<GuiApplication>( argc, argv );
}

} // namespace ApplicationFactory
} // namespace PVE
