/*
This file is part of PVE Spice Client.

PVE Spice Client is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PVE Spice Client is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PVE Spice Client.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "tray-icon-view-controller.h"

namespace PVE {

TrayIconViewController::TrayIconViewController( QObject* parent )
    : QObject( parent ),
      _view( Q_NULLPTR ),
      _mainView( Q_NULLPTR ),
      _trayMenuViewController()
{

}

void TrayIconViewController::setView( TrayIconView* view )
{
    _view = view;

    if( !_view )
    {
        return;
    }

    connect( _view,
             &TrayIconView::activated,
             this,
             &TrayIconViewController::onTrayIconActivated );

    _trayMenuViewController.setView( _view->menuView() );
}

void TrayIconViewController::setMainView( QWidget* mainView )
{
    _mainView = mainView;
}

void TrayIconViewController::onTrayIconActivated()
{
    if( _mainView )
    {
        _mainView->show();
    }
}

} // namespace PVE
