/*
This file is part of PVE Spice Client.

PVE Spice Client is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PVE Spice Client is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PVE Spice Client.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "tray-menu-view-controller.h"

#include <QApplication>

namespace PVE {

TrayMenuViewController::TrayMenuViewController( QObject* parent )
    : QObject( parent ),
      _view( Q_NULLPTR )
{

}

void TrayMenuViewController::setView( TrayMenuView* view )
{
    _view = view;

    if( !_view )
    {
        return;
    }

    connect( _view,
             &TrayMenuView::quitClicked,
             this,
             &TrayMenuViewController::onQuitClicked );
}

void TrayMenuViewController::onQuitClicked()
{
    QApplication::quit();
}

} // namespace PVE
