/*
This file is part of PVE Spice Client.

PVE Spice Client is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PVE Spice Client is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PVE Spice Client.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "spice-remote-viewer.h"

#include <QProcess>

namespace {

const QString kViewerAppName = "remote-viewer";

const QString kFullscreen = "--full-screen";

} // namespace

namespace PVE {

SpiceRemoteViewer::SpiceRemoteViewer( const QString& spiceProxyFilePath )
    : _args( { spiceProxyFilePath } )
{
}

bool SpiceRemoteViewer::open()
{
    return QProcess::startDetached( kViewerAppName, _args );
}

void SpiceRemoteViewer::fullscreen( bool enable )
{
    if( enable )
    {
        if( _args.count( kFullscreen ) )
        {
            return;
        }

        _args.push_front( kFullscreen );
    }
    else
    {
        _args.removeAll( kFullscreen );
    }
}

} // namespace PVE
